<?php
/**
 * The Footer Sidebar containing the footer widget areas.
 *
 * @package Catch Themes
 * @subpackage Rock Star
 * @since Rock Star 0.3
 */

/* The footer widget area is triggered if any of the areas
 * have widgets. So let's check that first.
 *
 * If none of the sidebars have widgets, then let's bail early.
 */
if (   ! is_active_sidebar( 'footer-1'  )
	&& ! is_active_sidebar( 'footer-2' )
	&& ! is_active_sidebar( 'footer-3'  )
) {
	return;
}

// If we get this far, we have widgets. Let do this.
?>
    <aside id="supplementary" <?php rock_star_footer_sidebar_class(); ?> role="complementary">
        <div class="wrapper">
            <div class="footer-widget-wrapper clearfix">
                <?php if ( is_active_sidebar( 'footer-1' ) ) : ?>
                <div id="first" class="widget-column footer-widget-1">
                    <?php dynamic_sidebar( 'footer-1' ); ?>
                </div><!-- #first .widget-area -->
                <?php endif; ?>
            
                <?php if ( is_active_sidebar( 'footer-2' ) ) : ?>
                <div id="second" class="widget-column footer-widget-2">
                    <?php dynamic_sidebar( 'footer-2' ); ?>
                </div><!-- #second .widget-area -->
                <?php endif; ?>
            
                <?php if ( is_active_sidebar( 'footer-3' ) ) : ?>
                <div id="third" class="widget-column footer-widget-3">
                    <?php dynamic_sidebar( 'footer-3' ); ?>
                </div><!-- #third .widget-area -->
                <?php endif; ?>
            </div><!-- .footer-widget-wrapper -->
        </div><!-- .wrapper -->
    </aside><!-- #supplementary -->